package com.threed.jpct.benchxl;

import java.math.BigDecimal;

public class BenchmarkResult {

	public int frames=0;
	public int pixels=0;
	public long time=0;
	
	public BigDecimal getFps() {
		return new BigDecimal(((float) frames*1000f/(float)time)).setScale(2, BigDecimal.ROUND_HALF_UP);
	} 
	
	public BigDecimal getMP() {
		return new BigDecimal(((float) pixels*1000f/(float)time)/1000000f).setScale(2, BigDecimal.ROUND_HALF_UP);
	}
	
	public String toString() {
		return time+"/"+frames+"/"+pixels+"/"+getFps()+"/"+getMP();
	}
	
}
